import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  commissionBatchId: z.literal(true).optional(),
  paymentId: z.literal(true).optional(),
  collectionAmount: z.literal(true).optional(),
  _all: z.literal(true).optional()
}).strict();
export const CommissionBatchItemCountAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemCountAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCountAggregateInputType>;
export const CommissionBatchItemCountAggregateInputObjectZodSchema = makeSchema();
